<!DOCTYPE html>
<html lang="no" prefix="og: http://ogp.me/ns#">
<head>
  {%include "../../includes/head_common.inc"%}
  {%include "../../includes/head_page.inc"%}

  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/se/jszip-2.5.0/dt-1.10.18/b-1.5.4/b-html5-1.5.4/b-print-1.5.4/r-2.2.2/datatables.min.css"/>
   
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/v/se/jszip-2.5.0/dt-1.10.18/b-1.5.4/b-html5-1.5.4/b-print-1.5.4/r-2.2.2/datatables.min.js"></script>
</head>
<body>
  <button onclick="topFunction()" id="myBtn" title="Tilbake til toppen"><i class="big caret up icon"></i></button>
  {%include "../../includes/sidebar.inc"%}
  {% if lodspk.isAdmin %}    
    {%include "../../includes/static_sidebar_left.inc"%}
  {% endif %}

  <div class="pusher">
    {%include "../../includes/header.inc"%}
    {%include "../../includes/header_mobile.inc"%}
    
    <div class="main-content-wrapper">
      <div class="fullwidth">
        <div class="ui grid">  
          <div class="sixteen wide column">
            <h1>Oppgave: ny-registrering <span class="ui label">{{first.count.total.value}} objekt</span></h1>
          </div>
           <div class="sixteen wide column">
            <p>Disse filene mangler metadata på objektet. Bruk signaturen til å registrere objektet i Protégé.</p>
          </div>

          <div id="datatable-new-resources"></div>
          <style>
          </style>
          <script type="text/javascript">
            var dataSet = [{% for row in models.main %}{%if !forloop.last%},{%endif%}['<a href="{{row.uri.value}}" target="_blank"><img class="ui medium image" src="{{row.image.value}}" alt=""></a>', '<h4><a href="{{row.uri.value}}" target="_blank">{{row.label.value}}</a></h4>']
            {%endfor%}
            ];

            $(document).ready(function() {
              $('#datatable-new-resources').html( '<table cellpadding="0" cellspacing="0" border="0" class="display" id="example"></table>' );

              $('#example').dataTable( {
                "data": dataSet,
                "columns": [
                  { "title": "Thumbnail", "width": "20%"},
                  { "title": "Signatur", "width": "75%" }
                ],
                "dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
                "order": [ 1, 'asc' ],
                "pageLength": 25,
                "language": {
                  "search": "Søk:",
                  "sInfo":         "Viser _START_ til _END_ av _TOTAL_ linjer",
                  "sInfoEmpty":    "Viser 0 til 0 av 0 linjer",
                  "sLengthMenu":   "Vis _MENU_ linjer",
                  "paginate": {
                    "first":      "Første side",
                    "previous":   "Forrige",
                    "next":       "Neste",
                    "last":       "Siste side"
                  } 
                }
              }
              )
            } );
          </script>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="{{lodspk.home}}js/backtotop/backtotop.js"></script>
  {%include "../../includes/footer.inc"%}
</body>
</html>
